<?php
function ldfw_get_products_as_options() {
    $args = array(
        'post_type'      => 'product',
        'posts_per_page' => -1,
        'post_status'    => 'publish',
    );

    $products = get_posts( $args );
    $product_options = array();

    if ( $products ) {
        foreach ( $products as $product ) {
            $product_options[ $product->ID ] = $product->post_title;
        }
    }
    return $product_options;
}

add_filter( 'cmb2_admin_init', 'ldfw_metaboxes' );
function ldfw_metaboxes() {
  	/**
  	||-> Metaboxes: For CPT - [ldfw]
  	*/
  	$fields_group = new_cmb2_box( array(
		'id'           	=> 'ldfw_carousel_group',
		'title'        	=> esc_html__( 'Fields', 'ldfw' ),
		'object_types' 	=> array( 'ldfw' ),
	) );
  	$fields_group->add_field(
		array(
			'name' 		=> esc_html__('Enable', 'ldfw'),
			'id' 		=> 'ldfw_enable_modal',
			'type' 		=> 'checkbox'
		)
  	);
	$fields_group_id = $fields_group->add_field( array(
		'id'          	=> 'ldfw_carousel_group',
		'type'        	=> 'group',
		'options'     	=> array(
			'group_title'	=> esc_html__( 'Product', 'ldfw' ),
			'add_button'  	=> esc_html__( 'Add New product', 'ldfw' ),
			'remove_button' => esc_html__( 'Delete product', 'ldfw' ),
			'sortable'      => true,
			'closed'      	=> true, 
			'remove_confirm'=> esc_html__( 'Are you sure you want to delete this product?', 'ldfw' ),
		),
	) );

	$fields_group->add_group_field( $fields_group_id, array(
		'name'       	=> esc_html__( 'Select', 'ldfw' ),
		'id'         	=> 'ldfw_product_select',
		'type'    	 	=> 'select',
        'options_cb' 	=> 'ldfw_get_products_as_options'
	) );
}
